Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.smime
Class SMIMECapabilityVector

    java.lang.Object
      org.bouncycastle.asn1.smime.SMIMECapabilityVector

    public class SMIMECapabilityVector

extends java.lang.Object

Handler for creating a vector S/MIME Capabilities

Constructor Summary
`SMIMECapabilityVector()`

Method Summary
`void` `addCapability(DERObjectIdentifier capability)`
`void` `addCapability(DERObjectIdentifier capability, DEREncodable params)`
`void` `addCapability(DERObjectIdentifier capability, int value)`
`DEREncodableVector` `toDEREncodableVector()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SMIMECapabilityVector

    public SMIMECapabilityVector()

Method Detail

### addCapability

    public void addCapability(DERObjectIdentifier capability)

### addCapability

    public void addCapability(DERObjectIdentifier capability,
                              int value)

### addCapability

    public void addCapability(DERObjectIdentifier capability,
                              DEREncodable params)

### toDEREncodableVector

    public DEREncodableVector toDEREncodableVector()

Bouncy Castle Cryptography Library 1.45